Api
List Users
List all users with pagination and filtering. Admin only.
List all users with pagination and filtering.
Admin only.
AuthorizationBearer <token>
In: header
Query Parameters
page?integer
Page number
Default
1Range
1 <= valuepage_size?integer
Users per page
Default
20Range
1 <= value <= 100role?|
Filter by role
is_active?|
Filter by active status
search?|
Search by email or name
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/users"{
"page": 0,
"page_size": 0,
"total": 0,
"total_pages": 0,
"users": [
{
"created_at": "2019-08-24T14:15:22Z",
"created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",
"email": "string",
"email_normalized": "string",
"full_name": "string",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"is_active": true,
"is_azure_bound": true,
"last_login_at": "2019-08-24T14:15:22Z",
"role": "super_admin",
"updated_at": "2019-08-24T14:15:22Z"
}
]
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}